Debian Bug report logs - #431664
apt-howto: FTBFS: cannot find apt-howto.de.sgml

version graph

Package: apt-howto; Maintainer for apt-howto is (unknown);

Reported by: Daniel Schepler <schepler@math.unipd.it>

Date: Wed, 4 Jul 2007 07:09:01 UTC

Severity: serious

Tags: lenny, sid

Merged with 432349

Found in version apt-howto/2.0.2-2

Fixed in version apt-howto/2.0.2-3

Done: Gustavo Noronha Silva <kov@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#431664; Package apt-howto. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.unipd.it>:
New Bug report received and forwarded. Copy sent to Gustavo Noronha Silva <kov@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.unipd.it>
To: submit@bugs.debian.org
Subject: apt-howto: FTBFS: cannot find apt-howto.de.sgml
Date: Wed, 4 Jul 2007 03:07:27 -0400
Package: apt-howto
Version: 2.0.2-2
Severity: serious

From my pbuilder build log:

...
po4a-translate -k 40 -f sgml -m apt-howto.en.sgml -p po4a/po/de.po -l apt-howto.de.sgml -a po4a/addendum.doc.de -a po4a/addendum.doc2.de -a po4a/addendum.doc3.de -a po4a/addendum.doc4.de
Discard the translation of apt-howto.en.sgml (only 39.8% translated; need
40%).
debiandoc2html  -tapt-howto -l $(echo de | bin/getlocale) -c apt-howto.de.sgml
nsgmls:E: cannot find "apt-howto.de.sgml"; tried "apt-howto.de.sgml", "/usr/local/share/sgml/apt-howto.de.sgml", "/usr/share/sgml/apt-howto.de.sgml"
nsgmls:/usr/share/sgml/debiandoc/dtd/sgml/1.0/debiandoc.dcl:67:40:E: end of document in prolog
make[1]: *** [apt-howto.de.html.stamp] Error 1
make[1]: Leaving directory `/tmp/buildd/apt-howto-2.0.2'
make: *** [build-stamp] Error 2
-- 
Daniel Schepler



Tags added: sid, lenny Request was from Touko Korpela <tkorpela@phnet.fi> to control@bugs.debian.org. (Wed, 04 Jul 2007 11:15:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#431664; Package apt-howto. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Gustavo Noronha Silva <kov@debian.org>. Full text and rfc822 format available.

Message #12 received at 431664@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: control@bugs.debian.org
Cc: 431664@bugs.debian.org, 432349@bugs.debian.org
Subject: forcibly merging 431664 432349
Date: Mon, 16 Jul 2007 16:39:39 +0200
# Automatically generated email from bts, devscripts version 2.10.6
# same bug
forcemerge 431664 432349




Forcibly Merged 431664 432349. Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Mon, 16 Jul 2007 14:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#431664; Package apt-howto. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Noronha Silva <kov@debian.org>. Full text and rfc822 format available.

Message #19 received at 431664@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 431664@bugs.debian.org, kov@debian.org
Subject: FTBFS and po4a
Date: Sun, 22 Jul 2007 09:23:23 +0900
It looks like new apt-howto package was created using po4a but build
script does not include invocation of them.  You must have build package
manually.

Please update make file.

Osamu



Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#431664; Package apt-howto. Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <akumar@ee.iitm.ac.in>:
Extra info received and forwarded to list. Copy sent to Gustavo Noronha Silva <kov@debian.org>. Full text and rfc822 format available.

Message #24 received at 431664@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <akumar@ee.iitm.ac.in>
To: 432349@bugs.debian.org
Subject: Some progress on fixing this bug
Date: Mon, 27 Aug 2007 20:52:22 +0530
[Message part 1 (text/plain, inline)]
Hi!

I figured that I could get rid of the block in the build process by
reducing the minumum threshold for translation and ensuring that
po4a-* is called at all places with -k; a patch is attached to get
here. But I then run into some issues with apt-howto.ks.sgml.

bin/debiandoc2latexpdf  -l $(echo ko | bin/getlocale) apt-howto.ko.sgml
debiandoc2latexpdf: ERROR: apt-howto.ko.pdf could not be generated properly
debiandoc2latexpdf: rerun with the -v option to found out why
debiandoc2latexpdf: or check the log file apt-howto.ko.log
make[1]: *** [apt-howto.ko.pdf] Error 1
make[1]: Leaving directory `/tmp/buildd/apt-howto-2.0.2'
make: *** [build-stamp] Error 2

Anyway, hope the patch attached helps make some progress.
-- 
Kumar Appaiah,
458, Jamuna Hostel,
Indian Institute of Technology Madras,
Chennai - 600 036
[apt-howto_fix.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#431664; Package apt-howto. Full text and rfc822 format available.

Acknowledgement sent to "rollingbits (aka Lucas)" <rollingbits@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Noronha Silva <kov@debian.org>. Full text and rfc822 format available.

Message #29 received at 431664@bugs.debian.org (full text, mbox):

From: "rollingbits (aka Lucas)" <rollingbits@gmail.com>
To: 431664@bugs.debian.org
Cc: 432349@bugs.debian.org
Subject: Re: Bug#431664: apt-howto: FTBFS: cannot find apt-howto.de.sgml [a fix]
Date: Sun, 4 Nov 2007 23:57:16 -0200
[Message part 1 (text/plain, inline)]
On Mon, Aug 27, 2007 at 08:52:22PM +0530, Kumar Appaiah wrote:
> I figured that I could get rid of the block in the build process by
> reducing the minumum threshold for translation and ensuring that
> po4a-* is called at all places with -k; a patch is attached to get
> here. But I then run into some issues with apt-howto.ks.sgml.

Hi.

I'm attaching a fix for this bug. The po4a-updatepo doesn't have a -k
option so this doesn't helps to solve the problem. The original error
message says that the apt-howto.de.sgml wasn't created because 39.8%
of it was translated and that this isn't enough. My patch changes the
lower limit to 39% and updates the build dependencies. The
apt-howto.ko.pdf wasn't created because the texlive (the TeX system is
now provided by texlive) doesn't have all needed files. So it closes
the bug#435010. I don't used the proposed patch for it because I think
it will make the package depends on a excessive number of packages
indirectly (the TeX system is huge) and some more transitions happened
since then (gs* to ghostscript for example).

My patch also declares three Build-Conflict-Indep that the patch for
#435010 doesn't do. I verified here that the package doesn't build
when they are installed but I don't verified what happens when only
their dependencies and recommends are installed. The missing ones
aren't directly used anyway: the conflicts are made with transitional
packages. The bug#435010 doesn't quote any other field or file, so I
understand that the bug was requesting an update on the
build-dependencies to ACK transitions. So I did. I also removed some
build dependencies. The build system don't cried and the
dpkg-genbuilddeps don't detected that they are used. I'm not merging
both bugs because the requests are different. My patch makes the
package built on newer systems (with texlive) and don't build on older
ones (with tetex) but I think this is the expected behaviour. I also
want to inform that the ./debian/rules clean target is buggy and
doesn't clear the tree properly. There is a dependency on
(/bin/sh->)bash, too. This patch doesn't solve any of them.

rollingbits

-- 
,-. rollingbits -- rollingbits@gmail.com, rollingbits@globo.com
\`' lucasnm@ig.com.br, rollingbits@terra.com.br, rollingbits@yahoo.com
 `  Get my public GPG key in http://rollingbits.tripod.com/mykey.html
[apt-howto_fix00-431664.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:13:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:47:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.